libzypp 17.37.10

redo.h File Reference
`#include <zypp-core/zyppng/pipelines/AsyncResult>`
`#include <zypp-core/zyppng/meta/FunctionTraits>`
`#include <zypp-core/zyppng/meta/TypeTraits>`
`#include <zypp-core/zyppng/meta/Functional>`

Go to the source code of this file.

## Classes
struct | zyppng::detail::RedoWhileImpl< Task, Pred, typename >
struct | zyppng::detail::RedoWhileImpl< std::shared_ptr< MyAsyncOp >, Pred, std::enable_if_t< is_async_op< MyAsyncOp >::value > >
struct | zyppng::detail::RedoWhileImpl< Task, Pred, std::enable_if_t< is_async_op< remove_smart_ptr_t< typename function_traits< Task >::return_type > >::value > >

## Namespaces
namespace | zyppng
namespace | zyppng::detail

## Typedefs
template<typename T>
using | zyppng::detail::has_func_trait = typename function_traits<T>::return_type

## Functions
template<typename Task, typename Pred>
auto | zyppng::redo_while (Task &&todo, Pred &&until)